from flask import Flask, request, render_template

import random
import myconfig

app = Flask(__name__)

listCadeau = {}

def genCadeau():
    tmp = list(myconfig.listGens.keys())
    for g in myconfig.listGens.keys():
        a, b = random.choices(tmp, k=2)
        if a == g:
            listCadeau[g] = b
            tmp.remove(b)
        else:
            listCadeau[g] = a
            tmp.remove(a)

@app.route('/')
def hello():
    return render_template("index.html")

@app.route('/code')
def code():
    code = request.args.get("code")
    a = myconfig.listGens.get(code, None)
    if a == None:
        return render_template("code.html", error=True)
    else:
        b = myconfig.listGens.get(listCadeau.get(code))
        return render_template("code.html", a=a, b=b)


if __name__ == "__main__":
    genCadeau()
    app.run()
